Skip to content
Dashboard

Unpublish a changelog

POST/v2/changelogs/{id}/unpublish

Unpublishes a changelog, removing it from public view.

Optional Fields

  • locales - Array of locales to unpublish from. An empty array unpublishes from all locales

Behavior

  • The changelog content is preserved (reverts to draft state)
  • Any scheduled publishes for the specified locales are cancelled
  • The changelog can be re-published later

Response

Returns a success confirmation:

{
  "success": true,
  "state": "unpublished"
}

Errors

  • 400 - Invalid changelog ID format
  • 404 - Changelog not found or doesn’t belong to your organization
Path ParametersExpand Collapse
id: string

Changelog unique identifier

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-08-19.orbit"
"2026-01-01.nova"
"2025-12-12.clover"
Body ParametersJSONExpand Collapse
locales: optional array of "ar" or "am" or "fa" or 68 more

An array of locales to unpublish the changelog from. An empty array unpublishes from all locales.

One of the following:
"ar"
"am"
"fa"
"ht"
"lo"
"my"
"pa"
"ps"
"so"
"tl"
"ur"
"he"
"ta"
"te"
"mr"
"gu"
"kn"
"ml"
"ha"
"jv"
"yo"
"ig"
"uz"
"ne"
"sd"
"az"
"si"
"km"
"kk"
"bn"
"bs"
"pt-BR"
"bg"
"ca"
"hr"
"cs"
"da"
"nl"
"en"
"et"
"fi"
"fr"
"de"
"el"
"hi"
"hu"
"id"
"it"
"ja"
"ko"
"lv"
"lt"
"ms"
"mn"
"nb"
"pl"
"pt"
"ro"
"ru"
"sr"
"zh-CN"
"sk"
"sl"
"es"
"sw"
"sv"
"th"
"zh-TW"
"tr"
"uk"
"vi"
ReturnsExpand Collapse
PublishUnpublishSuccess object { success, state }
success: true

Indicates the operation was successful

state: optional "published" or "scheduled" or "unpublished"

The state of the changelog after the operation

One of the following:
"published"
"scheduled"
"unpublished"

Unpublish a changelog

curl https://do.featurebase.app/v2/changelogs/$ID/unpublish \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{
          "locales": [
            "en"
          ]
        }'
{
  "success": true,
  "state": "published"
}
Returns Examples
{
  "success": true,
  "state": "published"
}